<template>
  <div class="checkbox field__wrapper" :checked="checked">
    <input
      class="checkbox__input"
      type="checkbox"
      :id="id"
      :checked="checked"
      @input="event => $emit('update:checked', event.target.checked)"
    />
    <label :for="id" class="checkbox__label"><slot name="label"></slot></label>
    <small class="field__error" v-if="!!error">{{ error }}</small>
  </div>
</template>
<script>
export default {
  name: "Checkbox",
  props: {
    id: {
      type: String,
      required: true,
    },
    error: String,
    checked: {
      type: Boolean,
    },
  },
  emits: ["update:checked"],
}
</script>
